Subject: Re: [amos-list] The Mailing List Archives...
From: "Scooter D. Matott sXe" <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jul 1999 12:00:01 -0500 (CDT)

From: "Scooter D. Matott sXe" <[email-masked]>

On Wed, 21 Jul 1999, Claude Heiland-Allen wrote:
> I don't have any perl code, but I think it is
> possible,
> by extracting all of the messages with the same
> subject
> (excluding Re: and [amos-list]) you get an entire
> thread,
	yes but it's not like the messages are in some handy
database for me, it's not like Subject: means anything, it's
just some line of text in the mail message, it's only your
mail program that makes Subject: look like it's anything fancy
A mail message looks like this:

>From [email-masked],rt. to ...
	blah blah blah describing where the message traveld to get to you

From: fsdf
To:
Date:
Subject:
(message text)

There is no standard to how far down (ie what line) Subject: appears
on because the top header describing the path the message took can be
as long as it needs to be, depending on ho many hops a messages takes to
get home...

Also there isn't even a (real) standard for the normal header that we're used
to, it doesn't ahve to be there by anymeans, on a unix box type
sendmail johnny@wherever
then type anythign you want followed by a line wht justr a period like
.
and wahlah, johnny will get a message with NO subject header, No Nothing!

Email is just text, nothing more, nothing special,
if I wanted to sort these messages by subject or by date
I'd have to build the data base myself! 

> Sorry if my ideas don't help.
> 
	It's ok, I kind of went off the handle the other day, guess I was jsut
sort of exhausted with the project, I knew that people would want things by
subject when I was doing it, there just didn't seem to be any real easy
way to do it.   
	My idea was more or less just to get the archives up and
searchable, and even w/o subject sorting the are still quite useful,
the search takes a bit, I could have used a scheme like Glimpse
to make it faster, but unless the cite starts getting some ungodly
number of hits that shouldn't be necessary.

Anyway, I really like the atmosphere on this list, especially the
freedom people have to make suggestions for and even critize one 
another's work and I just hope I haven't spoiled that any by my
errant reaction to what were really very, very reasonable suggestions. 

	Thanks,
	      Scott Matott sXe
	      Chicago, Il USA

Pac Man Defense

A takeover defense pattern named after the video game. The original
takeover target attempts to swallow (takeover) the original bidder. 

--------------------------- ONElist Sponsor ----------------------------

ONElist users:  YOU can win a $100 gift certificate to Amazon.com.  
http://www.onelist.com
Check out the FRIENDS & FAMILY program to find out how.  See homepage.

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html